import {createApp} from 'vue'
import './style.css'
import './theme.css'
import App from './App.vue'
import router from "./router.ts"
import 'element-plus/dist/index.css'
import ElementPlus from 'element-plus'
import {AreaData} from "./AreaData.ts";
import {LocalModels} from "./LocalModels.ts";
import {DataCenter} from "./DataCenter.ts";

let app = createApp(App)
app.use(ElementPlus)
app.use(router)
app.mount('#app')

let areaInfos = AreaData.areas.split("\n")
areaInfos.forEach(function (records, index) {
    if (records.length > 0 && index > 0) {
        let items = records.split(",")
        let dt = new LocalModels.Area()
        dt.sheng = items[0]
        dt.shi = items[1]
        dt.qu = items[2]
        dt.weidu = parseFloat(items[3])
        dt.jingdu = parseFloat(items[4])
        dt.hour = parseInt(items[5])
        dt.minute = parseInt(items[6])
        dt.second = parseInt(items[7])
        dt.shiPinYin = items[8]
        dt.quPinYin = items[9]
        DataCenter.addAreaData(dt)
    }
})

